=== debian/changelog ===
camltemplate (1.0.2-3) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Sep 2019 21:02:39 +0200

camltemplate (1.0.2-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Switch debian/copyright to format 1.0
  * Update Vcs-*
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.0.1

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders (Closes: #869321)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Aug 2017 15:25:20 +0200

camltemplate (1.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #605675)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 07 Dec 2010 15:09:45 +0000
