=== debian/control ===
Source: camltemplate
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 10)
Standards-Version: 4.0.1
Homepage: http://camltemplate.forge.ocamlcore.org/
Vcs-Git: https://salsa.debian.org/ocaml-team/camltemplate.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/camltemplate

Package: libcamltemplate-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: configurable library for generating text from templates in OCaml
 CamlTemplate is a library for generating text from templates in OCaml. It can
 be used to generate web pages, scripts, SQL queries, XML documents and other
 sorts of text.
 .
 This library defines a small templating language, with basic operations like
 #if or #foreach. To use this library you need to configure the data source
 that will be used in the template with the templating language.

Package: libcamltemplate-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: configurable library for generating text from templates in OCaml
 CamlTemplate is a library for generating text from templates in OCaml. It can
 be used to generate web pages, scripts, SQL queries, XML documents and other
 sorts of text.
 .
 This library defines a small templating language, with basic operations like
 #if or #foreach. To use this library you need to configure the data source
 that will be used in the template with the templating language.
 .
 This package contains the shared runtime libraries.
